// ---------------------------------------------------------------------------------------------------------------------
// Strata Logging Library
// ---------------------------------------------------------------------------------------------------------------------

import * as logging from './lib/logging.js';

// ---------------------------------------------------------------------------------------------------------------------

export default logging;
export { logging };
export { BasicLogger, LoggerConfig, LogLevels, LogFunction } from './interfaces/logger.js';
export { PinoLogger as StrataLogger } from './lib/logger.js';

// ---------------------------------------------------------------------------------------------------------------------
